/* giFTui
 * Copyright (C) 2003 the giFTui team
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef __UI_ICONS_H__
#define __UI_ICONS_H__

#include <gtk/gtk.h>

typedef enum
{
	ICON_NETWORK = 0,
	ICON_TRANSFER_DOWN,
	ICON_TRANSFER_UP
} GiftuiIconType_t;

/*
  @network : _MUST_ be lower case.
 */
gchar *giftui_icon_stock (GiftuiIconType_t type, const gchar *network);
GtkWidget *giftui_icon_render_image (GtkWidget *widget, GiftuiIconType_t type,
				     const gchar *network, GtkIconSize size);

/*
 */
gchar *giftui_icon_case_stock (GiftuiIconType_t type, const gchar *network);
GtkWidget *giftui_icon_case_render_image (GtkWidget *widget, GiftuiIconType_t type,
					  const gchar *network, GtkIconSize size);

#endif
